- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- XAnimateBackgroundImage
- XAnimateImage

# NAME

animate - Interactively animate an image sequence

# SYNOPSIS

void Magick XAnimateBackgroundImage( Display *display, MagickXResourceInfo *resource_info, Image *images );

# FUNCTION DESCRIPTIONS

## XAnimateBackgroundImage

> MagickXAnimateBackgroundImage() animates an image sequence in the background of a window.

The format of the MagickXAnimateBackgroundImage method is:

> void MagickXAnimateBackgroundImage ( Display *display, MagickXResourceInfo *resource_info, Image *images );

A description of each parameter follows:

display:

  Specifies a connection to an X server; returned from XOpenDisplay.

resource_info:

  Specifies a pointer to a X11 MagickXResourceInfo structure.

images:

  The image list.

## XAnimateImage

`MagickXAnimateImages()` displays an image via X11.

The format of the MagickXAnimateImages method is:

        Image *MagickXAnimateImages(Display *display,MagickXResourceInfo *resource_info,
          char **argv,const int argc,Image *images)

A description of each parameter follows:

display:

  Specifies a connection to an X server; returned from XOpenDisplay.

resource_info:

  Specifies a pointer to a X11 MagickXResourceInfo structure.

argv:

  Specifies the application's argument list.

argc:

  Specifies the number of arguments.

images:

  The image list.